import request from '@/utils/request'
import { getAccessToken } from '@/utils/auth'

// 上传文件
export function uploadFile(formData) {
  return request({
    url: `/minio/files/uploadFiles`,
    method: 'post',
    headers:{
      'Authorization': "Bearer " + getAccessToken(),
      'Content-Type':'multipart/form-data;'
    },
    data: formData
  })
}

// 文件夹列表
export function searchMkdirList(params) {
  return request({
    url: '/minio/filesMenu/list',
    method: 'get',
    params
  })
}

// 文件夹新增/修改
export function insertOrUpdateMkdir(data) {
  return request({
    url: '/minio/filesMenu/add',
    method: 'post',
    data
  })
}

// 文件夹删除
export function deleteMkdirData(ids) {
  return request({
    url: `/minio/filesMenu/remove?ids=${ids}`,
    method: 'delete'
  })
}

// 获取附件管理列表数据
export function getAppendixTableData(params) {
  return request({
    url: '/minio/files/list',
    method: 'get',
    params
  })
}

// 新增/编辑 附件
export function insertOrUpdateAppendix(data) {
  return request({
    url: '/minio/files/add',
    method: 'post',
    data
  })
}

// 查询文件列表
export function getAppendixFiles(params) {
  return request({
    url: '/minio/files/filesList',
    method: 'get',
    params
  })
}

// 删除附件数据（含表头）
export function deleteAppendixData(ids) {
  return request({
    url: `/minio/files/delete/${ids}`,
    method: 'delete'
  })
}

// 删除附件文件数据（只删文件）
export function deleteAppendixFile(ids) {
  return request({
    url: `/minio/files/deleteMinioFile?sysNames=${ids}`,
    method: 'delete'
  })
}
